Bug Tracker – Bug 1129

Skies are positioned incorrectly

Last modified: 2016-11-12 02:34:47 CST
Bug 1129 - Skies are positioned incorrectly
Summary: Skies are positioned incorrectly
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: 0.7.x (Old)
Hardware: All All
: P1 minor
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks:
 
Reported: 2014-11-26 02:54 CST by DoomKid
Modified: 2016-11-12 02:34 CST (History)
2 users (show)

See Also:

Attachments

Compares what skies should look like to the current glitch. (302.04 KB, application/zip)
2014-11-26 02:54 CST, DoomKid
Details
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description DoomKid 2014-11-26 02:54:39 CST
Created attachment 517 [details]
Compares what skies should look like to the current glitch.

Skies that display correctly in DOOM2.exe sometimes tile incorrectly in Odamex, causing mountain ranges to 'float' and other oddities. I think this is the result of the full 256 x 200 graphic being displayed, even despite the TEXTURE1 lump telling the wad to only display the top part of the image (256 x 128)

This is easily visible in map13 of DWANGO20.wad. It may be related to the other sky bug recently found (ID 1127)
Comment 1 Mike Lightner 2014-12-29 06:03:51 CST
r5179 removes some code that doesn't seem necessary in R_InitSkyMap.  This makes the skies look correct.
Comment 2 HeX_Vulture 2016-09-16 00:21:17 CDT
Doomkid can you verify?
Comment 3 Ralph Vickers 2016-11-12 02:34:47 CST
Just checked this in 24889a9 SDL2 and can verify that it has been corrected. I tested in multiple resolutions. Marking fixed. Thanks DoomKid!